Package cds.healpix

# Class NeighbourList

java.lang.Object
cds.healpix.NeighbourList

All Implemented Interfaces:
  `FlatHashIterable`, `ListOfHash`

public final class NeighbourList extends Object implements ListOfHash
Class storing the hash values of the neighbour cells of a cell of given hash, together with the direction of each neighbour with respect to the central cell.

Author:
  F.-X. Pineau

## Constructor Summary

Constructors
Constructor
Description
`NeighbourList(int depth)`

## Method Summary

Modifier and Type
Method
Description
`void`
`arraycopy(int srcPos, long[] dest, int destPos, int length)`
Similar to `System.arraycopy(Object, int, Object, int, int)` except that the source is the internal list.
`void`
`clear()`
`boolean`
`contains(CompassPoint.MainWind mainWind)`
`long`
`get(int i)`
Returns the element at the given index `i` in the list.
`long`
`get(CompassPoint.MainWind mainWind)`
`CompassPoint.MainWind`
`getDirection(int i)`
`FlatHashIterator`
`iterator()`
`int`
`size()`
Returns the current number of elements in the flat list.
`void`
`sortByHashAsc()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NeighbourList

public NeighbourList(int depth)

## Method Details

### clear

public void clear()

### contains

public boolean contains(CompassPoint.MainWind mainWind)

### get

public long get(CompassPoint.MainWind mainWind)

### sortByHashAsc

public void sortByHashAsc()

### size

public int size()
Description copied from interface: `ListOfHash`
Returns the current number of elements in the flat list.

Specified by:
  `size` in interface `ListOfHash`
Returns:
  the current number of elements in the flat list.

### get

public long get(int i)
Description copied from interface: `ListOfHash`
Returns the element at the given index `i` in the list.

Specified by:
  `get` in interface `ListOfHash`
Parameters:
  `i` - index in the list of the element to be returned.
Returns:
  the element at the given index `i` in the list.

### getDirection

public CompassPoint.MainWind getDirection(int i)

### arraycopy

public void arraycopy(int srcPos, long[] dest, int destPos, int length)
Description copied from interface: `ListOfHash`
Similar to `System.arraycopy(Object, int, Object, int, int)` except that the source is the internal list.

Specified by:
  `arraycopy` in interface `ListOfHash`
Parameters:
  `srcPos` - see `System.arraycopy(Object, int, Object, int, int)`
  `dest` - see `System.arraycopy(Object, int, Object, int, int)`
  `destPos` - see `System.arraycopy(Object, int, Object, int, int)`
  `length` - see `System.arraycopy(Object, int, Object, int, int)`

### iterator

public FlatHashIterator iterator()

Specified by:
  `iterator` in interface `FlatHashIterable`